CatalogRecommendations
List product recommendations
Returns products recommended for the specified catalog context.
GET
/v1/catalog/recommendationsReturns products recommended for the specified catalog context.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
productId?string
Identifier of the product.
category?string
limit*integer
Maximum number of results to return.
Format
int32Header Parameters
x-Store-Id?string
Store the request acts on. Not needed when the token is bound to a store.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/catalog/recommendations?limit=1" \ -H "x-Store-Id: <store-id>" \ -H "Authorization: Bearer <token>"[ { "productId": "7204558912004325301", "name": "Example resource", "slug": "example-resource", "imageUrl": "https://example.com/resource", "currency": "PEN", "price": 1, "category": "example", "brand": "example" }]